C$Procedure      HNDLEK ( Handle Output EK file )
 
      SUBROUTINE HNDLEK ( EKFNAM, EKHNDL )
 
C$ Abstract
C
C     Stores output EK file name and handle.
C
C$ Copyright
C
C     Copyright (1995), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     None
C
C$ Keywords
C
C     None.
C
C$ Declarations
 
      CHARACTER*(*)         EKFNAM
      INTEGER               EKHNDL
 
C$ Brief_I/O
C
C     VARIABLE  I/O  DESCRIPTION
C     --------  ---  ------------------------------------------------
C     EKFNAM     I   Name of an EK file
C     ELHNDL     I   Handle of an EK file
C
C$ Detailed_Input
C
C$ Detailed_Output
C
C$ Parameters
C
C$ Exceptions
C
C$ Files
C
C$ Particulars
C
C      Use STREEK or DLTEEK entry points.
C
C$ Examples
C
C$ Restrictions
C
C$ Literature_References
C
C$ Author_and_Institution
C
C      B.V. Semenov    (JPL)
C
C$ Version
C
C-     PEF2EK Version 1.1.1, 24-FEB-1997 (BVS)
C
C-&
 
C$ Index_Entries
C
C     None.
C
C-&
 
 
C
C     Local Variables:
C
 
C
C     The SPICELIB status:
C
      CHARACTER*(255)       FNAME
      INTEGER               HANDLE
      
      SAVE
 
C
C     Initial values:
C
      DATA    FNAME      / ' ' /
      DATA    HANDLE     /  6  /
 
C
C     Executable Code:
C
      FNAME  = EKFNAM
      HANDLE = EKHNDL
  
      RETURN

 
C$Procedure      STREEK ( STore EK name and handle )
 
      ENTRY STREEK ( EKFNAM, EKHNDL )
 
C$ Abstract
C
C     Stores output EK file name and handle.
C
C$ Copyright
C
C     Copyright (1995), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Author_and_Institution
C
C      B.V. Semenov    (JPL)
C
C$ Version
C
C-&
 
C
C     Save file name and handle.
C
      FNAME  = EKFNAM
      HANDLE = EKHNDL
      
      RETURN
  

C$Procedure      DLTEEK ( Closes and deletes opened file )
 
      ENTRY DLTEEK ( )
 
C$ Abstract
C
C     Closes and deletes opened file
C
C$ Copyright
C
C     Copyright (1995), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Author_and_Institution
C
C      B.V. Semenov    (JPL)
C
C$ Version
C
C-&
 
C
C     Close and delete EK file.
C
      CALL DASLLC ( HANDLE )
      CALL DELFIL ( FNAME )

      RETURN
  
      END
 
